﻿@model IEnumerable<Student>;
@{
    ViewData["Title"] = "หน้าแรก";
}

@if (Model.Count()>0)
{
    <h1 class="text-center ">หน้าแรก</h1>
    <table class="table">
        <thead>
            <tr class="text-center">
                <th>รหัสสินค้า</th>
                <th>ชื่อสินค้า</th>
                <th>ราคาสินค้า</th>
                <th>แก้ไขสินค้า</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var student in Model)
            {
                <tr class="text-center">
                    <td>@student.Id</td>
                    <td>@student.Name</td>
                    <td>@student.Price</td>
                    <td>
                        <a class="btn btn-warning "
                        asp-controller="Student" 
                        asp-action="Edit"
                           asp-route-id="@student.Id">
                           <i class="fa fa-pencil"></i> แก้ไข</a>
                        <a class="btn btn-danger"
                           data-bs-toggle="modal" data-bs-target="#deleteModal-@student.Id">
                            <i class="fa fa-trash"></i> ลบ
                        </a>
                    </td>
                       
                </tr>
            }
        </tbody>
    </table>
}
else
{
    <div class="alert alert-secondary">ไม่มีข้อมูลสินค้า</div>
}
@foreach (var student in Model)
{
    <div class="modal fade" id="deleteModal-@student.Id" tabindex="-1" aria-labelledby="deleteModalLabel-@student.Id" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteModalLabel-@student.Id">ยืนยันการลบ</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>คุณต้องการลบสินค้ารหัส @student.Id ใช่หรือไม่?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">ยกเลิก</button>
                    <a class="btn btn-danger" asp-controller="Student" asp-action="Delete" asp-route-id="@student.Id">ลบ</a>
                </div>
            </div>
        </div>
    </div>
}


<script>
    $(document).ready(function () {
        $('.modal').on('shown.bs.modal', function () {
            $(this).find('[autofocus]').focus();
        });
    });
</script>

<style>
    th,td{
        border-color: #96D4D4 ;
        background-color: #D6EEEE;
    }
</style>

